Subject: bug#30796: closed (Re: bug#30796: 27.0.50; window-text-pixel-size returns wrong values)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Mar 2018 11:48:01 +0000

Your bug report

#30796: 27.0.50; window-text-pixel-size returns wrong values

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30796: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30796
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30796: 27.0.50; window-text-pixel-size returns wrong values
From: Eli Zaretskii <[email-masked]>
To: Sebastien Chapuis <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Mar 2018 13:47:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Sebastien Chapuis <[email-masked]>
> Date: Thu, 15 Mar 2018 11:09:46 +0000
> 
> Alright thank you !

So I'm closing the bug report.

Subject: 27.0.50; window-text-pixel-size returns wrong values
From: Sebastien Chapuis <[email-masked]>
To: [email-masked]
Date: Tue, 13 Mar 2018 15:26:54 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm using the function to size correctly a child frame in lsp-ui [1]
The commit 50e2c0fb5180a757d8d533518f68837ffe5909be introduced the bug.
I have tested with and without text properties in the buffer and the bug
still occurs. In my case the TO parameter is nil.

[1] https://github.com/emacs-lsp/lsp-ui

In GNU Emacs 27.0.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.22.26)
 of 2018-03-13 built on XPS13
Repository revision: 50e2c0fb5180a757d8d533518f68837ffe5909be
Windowing system distributor 'Fedora Project', version 11.0.11906000
System Description: Fedora 27 (Twenty Seven)

Configured using:
 'configure --prefix=/opt/emacs-git --with-modules --with-xwidgets
 --with-imagemagick CC=clang'

--
Sebastien Chapuis